<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmRepaintType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmRepaintType Enumeration

Visual Basic
C#
C++/CLI
Types of flags passed into IEdmImage::Reposition to control how to handle repainting of the background window.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmRepaintType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmRepaintType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmRepaintType : public System.Enum

# Members

Member | Description
--- | ---
EdmRepaint_Erase | 2 = Trigger both paint and erase (WM_ERASEBKGND) message
EdmRepaint_Nothing | 0 = Do not refresh the window
EdmRepaint_Repaint | 1 = Trigger a repaint (WM_PAINT) message but not a background erase

# See Also

####

EPDM.Interop.epdm Namespace